{% extends 'base.html.twig' %}

{% block body %}
    <div class="container">
        <form method="post">
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
                <div class="mb-3">
                    You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                </div>
            {% endif %}

            <h1 class="h3 mb-3 font-weight-normal">Connectez-vous</h1>
            <label for="inputUsername">Nom d'utilisateur</label>
            <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" autocomplete="username" required autofocus>
            <label for="inputPassword">Mot de passe</label>
            <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

            <input type="hidden" name="_csrf_token"
                   value="{{ csrf_token('authenticate') }}"
            >

            <button class="btn btn-lg btn-primary mt-4" type="submit" style="background-color: #b0b9a8;border-color: #868b75">
                Sign in
            </button>
        </form>
    </div>
{% endblock %}
